using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 枚举表单 
    /// </summary>
    [Description("枚举表单")]
    public class T_FM_ENUMS : MesEntityBase
    {
        /// <summary>
        /// 枚举类型
        /// </summary>
        [Description("类型")]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 枚举值
        /// </summary>
        [Description("值")]
        public int VALUE { get; set; }

        /// <summary>
        /// 枚举说明
        /// </summary>
        [Description("说明")]
        [DataFieldLength(50)]
        public string NAME { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int NUM { get; set; }
    }
}
